Public Attributes | List of all members
ble_gap_init_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Legacy initiating parameters. More...

`#include <ble_gapm.h>`

Collaboration diagram for ble_gap_init_param_t:
[legend]

## Public Attributes
ble_gap_init_type_t | type
| Initiating type (see enum ble_gap_init_type_t). More...
ble_gap_bdaddr_t | peer_addr
| Peer device address. More...
uint16_t | interval_min
| Minimum value for the connection interval (in unit of 1.25ms). More...
uint16_t | interval_max
| Maximum value for the connection interval (in unit of 1.25ms). More...
uint16_t | slave_latency
| Slave latency. More...
uint16_t | sup_timeout
| Link supervision timeout (in unit of 10ms). More...
uint16_t | conn_timeout
| Timeout for connection establishment (in unit of 10ms). More...

## Detailed Description

Legacy initiating parameters.

Definition at line 684 of file ble_gapm.h.

## Member Data Documentation

## ◆ conn_timeout

uint16_t ble_gap_init_param_t::conn_timeout

Timeout for connection establishment (in unit of 10ms).

Cancel the procedure if connection has not been connected when the timeout occurs. 0 means there is no timeout.

Definition at line 692 of file ble_gapm.h.

## ◆ interval_max

uint16_t ble_gap_init_param_t::interval_max

Maximum value for the connection interval (in unit of 1.25ms).

Shall be greater than or equal to interval_min value. Allowed range is 7.5 ms to 4s.

Definition at line 689 of file ble_gapm.h.

## ◆ interval_min

uint16_t ble_gap_init_param_t::interval_min

Minimum value for the connection interval (in unit of 1.25ms).

Shall be less than or equal to interval_max value. Allowed range is 7.5 ms to 4s.

Definition at line 688 of file ble_gapm.h.

## ◆ peer_addr

ble_gap_bdaddr_t ble_gap_init_param_t::peer_addr

Peer device address.

Definition at line 687 of file ble_gapm.h.

## ◆ slave_latency

uint16_t ble_gap_init_param_t::slave_latency

Slave latency.

Number of events that can be missed by a connected slave device.

Definition at line 690 of file ble_gapm.h.

## ◆ sup_timeout

uint16_t ble_gap_init_param_t::sup_timeout

Link supervision timeout (in unit of 10ms).

Allowed range is 100 ms to 32s.

Definition at line 691 of file ble_gapm.h.

## ◆ type

ble_gap_init_type_t ble_gap_init_param_t::type

Initiating type (see enum ble_gap_init_type_t).

Definition at line 686 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h